package com.mvc.dao;

import com.mvc.entity.TSetupPic;
import com.mvc.entity.TSetupPicExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TSetupPicMapper {
    long countByExample(TSetupPicExample example);

    int deleteByExample(TSetupPicExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TSetupPic record);

    int insertSelective(TSetupPic record);

    List<TSetupPic> selectByExample(TSetupPicExample example);

    TSetupPic selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TSetupPic record, @Param("example") TSetupPicExample example);

    int updateByExample(@Param("record") TSetupPic record, @Param("example") TSetupPicExample example);

    int updateByPrimaryKeySelective(TSetupPic record);

    int updateByPrimaryKey(TSetupPic record);
}